> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.speech.palatine.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment Analysis

> Определяет эмоциональную окраску речи в загруженном аудио или видео.

Возвращает идентификатор асинхронной задачи; статус и результат доступны через эндпоинт ``task_status``.



## OpenAPI

````yaml post /api/v1/sentiment_analysis/analyze_file
openapi: 3.1.0
info:
  title: Palatine Cloud API
  description: >-
    Облачный API для транскрипции аудио, диаризации, анализа тональности и AI
    суммаризации
  version: 2.0.0
servers:
  - url: https://api.palatine.ru
    description: Продакшн сервер
security: []
paths:
  /api/v1/sentiment_analysis/analyze_file:
    post:
      tags:
        - Sentiment analysis polling API
      summary: Sentiment Analysis
      description: >-
        Определяет эмоциональную окраску речи в загруженном аудио или видео.


        Возвращает идентификатор асинхронной задачи; статус и результат доступны
        через эндпоинт ``task_status``.
      operationId: sentiment_analysis_api_v1_sentiment_analysis_analyze_file_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_sentiment_analysis_api_v1_sentiment_analysis_analyze_file_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentimentAnalysisTaskSchedule'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_sentiment_analysis_api_v1_sentiment_analysis_analyze_file_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      required:
        - file
      title: Body_sentiment_analysis_api_v1_sentiment_analysis_analyze_file_post
    SentimentAnalysisTaskSchedule:
      properties:
        status:
          type: string
          title: Status
          description: 'Статус запуска задачи, может быть: ''scheduled'', ''unauthorized token'
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Id
          description: Task ID задачи
      type: object
      required:
        - status
      title: SentimentAnalysisTaskSchedule
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````